[Haskell] ANNOUNCE: GPipe-1.0.1: A functional graphics API for programmable GPUs

Tobias Bexelius tobias_bexelius at hotmail.com
Tue Oct 6 14:37:05 EDT 2009

I've just uploaded a new version of Gpipe that fixes these bugs:


* Textures should now work on OpenGl 2.1 (required OpenGl 3.x previously). Thanks to Jake for the bug report.


* Added link to GPipe homepage. Still not much there though (just Jake's example code), check back in a few days.



/Tobias Bexelius



> Date: Tue, 6 Oct 2009 08:58:35 -0500
> From: jake.mcarthur at gmail.com
> To: tobias_bexelius at hotmail.com
> CC: mr.hugo.gomes at gmail.com; hopengl at haskell.org; haskell at haskell.org
> Subject: Re: [HOpenGL] RE: [Haskell] ANNOUNCE: GPipe-1.0.0: A functional graphics API for programmable GPUs
> Speaking of texture, I tried rendering to a texture and sampling it and 
> got an error:
> Main: user error (unknown OpenGL extension entry glUniform1uiv, 
> check for OpenGL 3.1)
> I'm on Linux 2.6.30 with Mesa 7.5.1. Of course Mesa doesn't have support 
> for OpenGL 3.1 yet, but your description of GPipe says it only needs 
> OpenGL 2.1. Is this a GPipe bug or something else?
> - Jake
Windows Live: Gör det enklare för dina vänner att se vad du håller på med på Facebook.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://www.haskell.org/pipermail/haskell/attachments/20091006/8a39057f/attachment.html

More information about the Haskell mailing list